org.apache.fop.fo.pagination

## Class PageProductionException.PageProductionExceptionFactory

- java.lang.Object
- - org.apache.fop.fo.pagination.PageProductionException.PageProductionExceptionFactory

All Implemented Interfaces:
  EventExceptionManager.ExceptionFactory

Enclosing class:
  PageProductionException

    public static class PageProductionException.PageProductionExceptionFactory
    extends Object
    implements EventExceptionManager.ExceptionFactory

Exception factory for `PageProductionException`.

### Constructor Summary

Constructors
Constructor and Description
`PageProductionExceptionFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Throwable` `createException(Event event)`
`Class<PageProductionException>` `getExceptionClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageProductionExceptionFactory

    public PageProductionExceptionFactory()

### Method Detail

#### createException

    public Throwable createException(Event event)

Specified by:
  `createException` in interface `EventExceptionManager.ExceptionFactory`

#### getExceptionClass

    public Class<PageProductionException> getExceptionClass()

Specified by:
  `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`